# synops-agent: checkpoint og recovery

- Lagre mellomtilstand (meldingshistorikk, pågående oppgave) til fil
- --resume flagg for å gjenoppta etter krasj
- Kostnadslogging til ai_usage_log i PG ved sesjonsslutt
- Sesjonsrapport: hva ble gjort, tokens brukt, filer endret

Ref: docs/proposals/agent_harness.md (Fase 8)
